Subject: Re: [PATCH net-next v5 1/2] ptp: introduce Alibaba CIPU PHC driver

From: Jakub Kicinski <[email-masked]>
Date: Tue, 16 Dec 2025 13:58:48 -0800

On Sun, 14 Dec 2025 22:03:57 +0800 Wen Gu wrote:
> If you're suggesting creating a new subsystem, I think we should first
> answer this question: why can't it be part of the current ptp subsystem,
> and what are the differences between the drivers under `drivers/ptp`
> and those in the new subsystem?

I can't explain it any better than I already did here:
https://lore.kernel.org/all/[email-masked]/

I talked to Thomas Gleixner (added to CC) during LPC and he seemed
open to creating a PHC subsystem for pure time devices in virtualized
environments. Please work with him and other vendors trying to
upstream similar drivers.